<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:a4j="http://richfaces.org/a4j"
                xmlns:g="http://www.ihe.net/gazelle"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:gri="http://java.sun.com/jsf/composite/gri"
                xmlns:rich="http://richfaces.org/rich"
                xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns="http://www.w3.org/1999/xhtml" template="/layout/template.xhtml">
    <ui:param name="ID" value="XDSEXTER"/>
    <ui:define name="body">
        <h1>#{messages['net.ihe.gazelle.xdstar.ListExternalIdentifiers']}</h1>
        <h:form id="gll">

            #{externalIdentifierMetadataEditorManager.initListExternalIdentifierMetadatas()}

            <gri:panel>
                <f:facet name="header">#{messages['net.ihe.gazelle.xdstar.ListExternalIdentifiers']}
                    (#{externalIdentifierMetadataEditorManager.countListExternalIdentifierMetadatas()})
                </f:facet>
                <a4j:commandButton
                        value="#{messages['net.ihe.gazelle.xdstar.AddNewExternalIdentifierMetadata']}"
                        actionListener="#{externalIdentifierMetadataEditorManager.initSelectedExternalIdentifierMetadata()}"
                        action="/admin/editExternalIdentifierMetadata.xhtml"
                        styleClass="gzl-btn-green" render="globalDiv"/>

                <a4j:commandButton value="#{messages['net.ihe.gazelle.xdstar.ImportExternalIdentifierMetadata']}"
                                   styleClass="gzl-btn-blue"
                                   oncomplete="jq162('#upload_metadata').modal('show');"
                                   render="uploadForm,upload_metadata"/>
                <rich:dataTable id="dataTable"
                                value="#{externalIdentifierMetadataEditorManager.getListExternalIdentifierMetadatasDataModelList()}"
                                var="cl" rows="#{dataScrollerMemory.numberOfResultsPerPage}"
                                render="ds">
                    <g:column sortBy="#{'id'}" sortOrder="ascending">
                        <ui:define name="header">#{messages['net.ihe.gazelle.xdstar.Id']}</ui:define>
                        <h:outputText value="#{cl.id}"/>
                    </g:column>
                    <g:column sortBy="#{'uuid'}" filterBy="#{'uuid'}">
                        <ui:define name="header">#{messages['net.ihe.gazelle.xdstar.UUID']}</ui:define>
                        <h:outputText value="#{cl.uuid}"/>
                    </g:column>
                    <g:column sortBy="#{'displayAttributeName'}" filterBy="#{'displayAttributeName'}">
                        <ui:define name="header">#{messages['net.ihe.gazelle.xdstar.DisplayName']}</ui:define>
                        <h:outputText value="#{cl.displayAttributeName}"/>
                    </g:column>
                    <g:column>
                        <f:facet name="header">
                            <s:div>
                                <h:commandLink
                                        action="#{externalIdentifierMetadataEditorManager.downloadAll()}"
                                        rendered="#{s:hasRole('admin_role') || s:hasRole('tests_editor_role')}"
                                        target="_blank">
                                    <span class="gzl-icon-download"/>
                                </h:commandLink>
                            </s:div>
                        </f:facet>
                        <ui:define name="header">#{messages['net.ihe.gazelle.xdstar.Action']}</ui:define>
                        <a4j:commandLink
                                actionListener="#{externalIdentifierMetadataEditorManager.setSelectedExternalIdentifierMetadata(cl)}"
                                action="/admin/editExternalIdentifierMetadata.xhtml">
                            <span class="gzl-icon-pencil"/>
                        </a4j:commandLink>
                        <gdk:spacer width="5px"/>
                        <a4j:commandLink
                                action="#{externalIdentifierMetadataEditorManager.cloneAndPersistMetadata(cl)}"
                                render="gll">
                            <span class="gzl-icon-files-o"/>
                        </a4j:commandLink>
                        <gdk:spacer height="5px"/>
                        <a4j:commandLink
                                action="#{externalIdentifierMetadataEditorManager.setSelectedExternalIdentifierMetadata(cl)}"
                                oncomplete="jq162('#confirm_delete').modal('show');"
                                render="transaction_content,deleteForm,confirm_delete">
                            <span class="gzl-icon-trash-o"/>
                        </a4j:commandLink>
                        <gdk:spacer width="5px"/>
                        <h:commandLink action="#{commonROManager.exportToXml(cl)}"
                                       render="textExport" target="_blank"
                                       rendered="#{s:hasRole('admin_role') || s:hasRole('tests_editor_role')}">
                            <span class="gzl-icon-download"/>
                        </h:commandLink>
                    </g:column>
                    <f:facet name="footer">
                        <ui:include src="/util/datatableFooter.xhtml">
                            <ui:param name="dataScrollerId" value="ds"/>
                            <ui:param name="dataTableId" value="dataTable"/>
                        </ui:include>
                    </f:facet>
                </rich:dataTable>

            </gri:panel>

        </h:form>

        <h:form id="uploadForm">
            <gri:popupPanel id="upload_metadata">
                <f:facet name="header">
                    <h:outputText value="#{messages['net.ihe.gazelle.xdstar.UploadMetadata']}"/>
                </f:facet>
                <f:facet name="footer">
                    <a4j:commandButton value="#{messages['net.ihe.gazelle.xdstar.Cancel']}" styleClass="gzl-btn"
                                       onclick="jq162('#upload_metadata').modal('hide');"
                                       ajaxSingle="true"/>
                    <a4j:commandButton value="#{messages['net.ihe.gazelle.xdstar.Confirm']}" styleClass="gzl-btn-green"
                                       action="#{externalIdentifierMetadataEditorManager.importExternalIdentifier()}"
                                       render="gll"
                                       onclick="jq162('#upload_metadata').modal('hide');"/>
                </f:facet>
                <rich:fileUpload id="uploadFile"
                                 fileUploadListener="#{externalIdentifierMetadataEditorManager.uploadListener}"
                                 maxFilesQuantity="1" acceptedTypes="xml,zip" listHeight="60px"
                                 immediateUpload="true">
                </rich:fileUpload>
            </gri:popupPanel>
        </h:form>

        <h:form id="deleteForm">
            <gri:popupPanel id="confirm_delete">
                <f:facet name="header">
                    <h:outputText
                            value="#{messages['net.ihe.gazelle.xdstar.DelteUsage']}"/>
                </f:facet>
                <f:facet name="footer">
                    <div align="right">
                        <a4j:commandButton styleClass="gzl-btn"
                                           value="#{messages['net.ihe.gazelle.xdstar.Cancel']}"
                                           onclick="jq162('#confirm_delete').modal('hide')"
                                           execute="@this"/>
                        <a4j:commandButton styleClass="gzl-btn-red"
                                           value="#{messages['net.ihe.gazelle.xdstar.Confirm']}"
                                           action="#{externalIdentifierMetadataEditorManager.deleteSelectedExternalIdentifierMetadata()}"
                                           onclick="jq162('#confirm_delete').modal('hide');"
                                           render="gll"/>
                    </div>
                </f:facet>
                <p>
                    <h:outputText value="#{messages['net.ihe.gazelle.xdstar.AreYouSureYouWantToDeleteThisUsage']}"/>
                </p>
            </gri:popupPanel>
        </h:form>
    </ui:define>
</ui:composition>
